de.vc.graphics

## Class LineGraphicsPattern

- java.lang.Object
- - de.vc.graphics.GraphicsPattern
  - - de.vc.graphics.LineGraphicsPattern

-     public class LineGraphicsPattern
      extends GraphicsPattern

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TYPE_BACKWARD_DIAGONAL`
    `static int` | `TYPE_BACKWARD_DIAGONAL_DARK`
    `static int` | `TYPE_CROSS`
    `static int` | `TYPE_CROSS_DARK`
    `static int` | `TYPE_CROSS_DIAGONAL`
    `static int` | `TYPE_CROSS_DIAGONAL_DARK`
    `static int` | `TYPE_FORWARD_DIAGONAL`
    `static int` | `TYPE_FORWARD_DIAGONAL_DARK`
    `static int` | `TYPE_HORIZONTAL`
    `static int` | `TYPE_HORIZONTAL_DARK`
    `static int` | `TYPE_NO_PATTERN`
    `static int` | `TYPE_SQUARES`
    `static int` | `TYPE_VERTICAL`
    `static int` | `TYPE_VERTICAL_DARK`

    - ### Fields inherited from class de.vc.graphics.GraphicsPattern

      `bgColor, fgColor, RCS_REVISION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineGraphicsPattern(int type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.awt.Graphics g)`
    `int` | `getType()`
    `protected void` | `paintBackwardDiagonal(java.awt.Graphics2D g, int width, int height, boolean dark)`
    `protected void` | `paintForwardDiagonal(java.awt.Graphics2D g, int width, int height, boolean dark)`
    `protected void` | `paintHorizontal(java.awt.Graphics2D g, int width, int height, boolean dark)`
    `protected void` | `paintSquares(java.awt.Graphics2D g, int width, int height)`
    `protected void` | `paintVertical(java.awt.Graphics2D g, int width, int height, boolean dark)`
    `void` | `setType(int type)`

    - ### Methods inherited from class de.vc.graphics.GraphicsPattern

      `getBgColor, getFgColor, setBgColor, setFgColor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_NO_PATTERN

          public static final int TYPE_NO_PATTERN

      See Also:
        Constant Field Values

    - #### TYPE_FORWARD_DIAGONAL

          public static final int TYPE_FORWARD_DIAGONAL

      See Also:
        Constant Field Values

    - #### TYPE_FORWARD_DIAGONAL_DARK

          public static final int TYPE_FORWARD_DIAGONAL_DARK

      See Also:
        Constant Field Values

    - #### TYPE_BACKWARD_DIAGONAL

          public static final int TYPE_BACKWARD_DIAGONAL

      See Also:
        Constant Field Values

    - #### TYPE_BACKWARD_DIAGONAL_DARK

          public static final int TYPE_BACKWARD_DIAGONAL_DARK

      See Also:
        Constant Field Values

    - #### TYPE_CROSS

          public static final int TYPE_CROSS

      See Also:
        Constant Field Values

    - #### TYPE_CROSS_DARK

          public static final int TYPE_CROSS_DARK

      See Also:
        Constant Field Values

    - #### TYPE_CROSS_DIAGONAL

          public static final int TYPE_CROSS_DIAGONAL

      See Also:
        Constant Field Values

    - #### TYPE_CROSS_DIAGONAL_DARK

          public static final int TYPE_CROSS_DIAGONAL_DARK

      See Also:
        Constant Field Values

    - #### TYPE_HORIZONTAL

          public static final int TYPE_HORIZONTAL

      See Also:
        Constant Field Values

    - #### TYPE_HORIZONTAL_DARK

          public static final int TYPE_HORIZONTAL_DARK

      See Also:
        Constant Field Values

    - #### TYPE_VERTICAL

          public static final int TYPE_VERTICAL

      See Also:
        Constant Field Values

    - #### TYPE_VERTICAL_DARK

          public static final int TYPE_VERTICAL_DARK

      See Also:
        Constant Field Values

    - #### TYPE_SQUARES

          public static final int TYPE_SQUARES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LineGraphicsPattern

          public LineGraphicsPattern(int type)

  - ### Method Detail

    - #### draw

          public void draw(java.awt.Graphics g)

      Specified by:
        `draw` in class `GraphicsPattern`

    - #### getType

          public final int getType()

    - #### setType

          public final void setType(int type)

    - #### paintHorizontal

          protected void paintHorizontal(java.awt.Graphics2D g,
                             int width,
                             int height,
                             boolean dark)

    - #### paintVertical

          protected void paintVertical(java.awt.Graphics2D g,
                           int width,
                           int height,
                           boolean dark)

    - #### paintForwardDiagonal

          protected void paintForwardDiagonal(java.awt.Graphics2D g,
                                  int width,
                                  int height,
                                  boolean dark)

    - #### paintBackwardDiagonal

          protected void paintBackwardDiagonal(java.awt.Graphics2D g,
                                   int width,
                                   int height,
                                   boolean dark)

    - #### paintSquares

          protected void paintSquares(java.awt.Graphics2D g,
                          int width,
                          int height)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.